using System.ComponentModel.DataAnnotations;
using System.Text.Json.Serialization;
using e_suite.Database.Core.Models;

namespace e_suite.API.Common.models;

public class EmailActionToken
{
    [JsonPropertyName("email")]
    [Required]
    public string Email { get; set; } = string.Empty;

    [JsonPropertyName("token")]
    [Required]
    public Guid Token { get; set; }

    [JsonPropertyName("password")]
    public string Password { get; set; } = string.Empty;

    [JsonPropertyName("emailActionType")]
    public EmailUserActionType EmailActionType { get; set; }
}